#ifndef UI_CUSTOM_CHAR_H_
#define UI_CUSTOM_CHAR_H_

#include "framework/error.h"
#include "../ui.h"


#define CUSTOMCHAR_SPACE (8)

enum CustomChar {
    CUSTOM_CHAR_NULL,
    CUSTOM_CHAR_SUN,
    CUSTOM_CHAR_MOON,
    CUSTOM_CHAR_DROP,
    CUSTOM_CHAR_THERMO,
    CUSTOM_CHAR_EATMAN,
    CUSTOM_CHAR_CELS_DEG,
    CUSTOM_CHAR_FIRE,
    CUSTOM_CHAR_CAP_S_WITH_ACUTE_ACCENT,
    CUSTOM_CHAR_S_WITH_ACUTE_ACCENT,
    CUSTOM_CHAR_CAP_O_WITH_ACUTE_ACCENT,
    CUSTOM_CHAR_O_WITH_ACUTE_ACCENT,
    CUSTOM_CHAR_CAP_E_WITH_OGONEK,
    CUSTOM_CHAR_E_WITH_OGONEK,
    CUSTOM_CHAR_CAP_N_WITH_ACUTE_ACCENT,
    CUSTOM_CHAR_N_WITH_ACUTE_ACCENT,
    CUSTOM_CHAR_CAP_L_WITH_STROKE,
    CUSTOM_CHAR_L_WITH_STROKE,
    CUSTOM_CHAR_BUTTON_UP,
    CUSTOM_CHAR_BUTTON_DOWN,
    CUSTOM_CHAR_BUTTON_LEFT,
    CUSTOM_CHAR_BUTTON_RIGHT,
    CUSTOM_CHAR_COUNT,
    CUSTOM_CHAR_OUT_OF_BOUND = 0xFF,
};

Error UI_customCharInit();
Error UI_customCharTick();
Error UI_customCharSetCharset(enum CustomChar charset[CUSTOMCHAR_SPACE]);
Error UI_customCharSetChar(uint8_t idx, enum CustomChar ch);
uint8_t UI_customCharGetCharIdx(enum CustomChar ch);

#endif
